import { Route, Router } from "@solidjs/router";
import { JSXElement } from "solid-js";

import { NewPostInputArea } from "../Components/NewPost";
import { Posts } from "../Components/Posts";
import { SinglePost } from "../Components/SinglePost";

function NotFound(): JSXElement {
  return <h1>404</h1>;
}

// Primary is the section of the page that holds the main content
export function Primary(): JSXElement {
  return (
    <Router>
      <Route path="/" component={Posts} />
      <Route path="/post/:postid" component={SinglePost} />
      <Route path="/new" component={NewPostInputArea} />
      <Route path="*" component={NotFound} />
    </Router>
  );
}
